<?php

namespace NoccyLabs\Spinner\Style;

class BrailleTallDotsStyle implements StyleInterface
{
    public function getFrames(): array
    {
        return [
            mb_chr(0x2839),
            mb_chr(0x28b0),
            mb_chr(0x28f0),
            mb_chr(0x28e4),
            mb_chr(0x28c6),
            mb_chr(0x2847),
            mb_chr(0x280f),
            mb_chr(0x281b),
        ];
    }
}

/*
         | xxx0 xxx1 xxx2 xxx3 xxx4 xxx5 xxx6 xxx7 xxx8 xxx9 xxxA xxxB xxxC xxxD xxxE xxxF
    280x |  ⠀    ⠁    ⠂    ⠃    ⠄    ⠅    ⠆    ⠇    ⠈    ⠉    ⠊    ⠋    ⠌    ⠍    ⠎    ⠏   
    281x |  ⠐    ⠑    ⠒    ⠓    ⠔    ⠕    ⠖    ⠗    ⠘    ⠙    ⠚    ⠛    ⠜    ⠝    ⠞    ⠟   
    282x |  ⠠    ⠡    ⠢    ⠣    ⠤    ⠥    ⠦    ⠧    ⠨    ⠩    ⠪    ⠫    ⠬    ⠭    ⠮    ⠯   
    283x |  ⠰    ⠱    ⠲    ⠳    ⠴    ⠵    ⠶    ⠷    ⠸    ⠹    ⠺    ⠻    ⠼    ⠽    ⠾    ⠿   
    284x |  ⡀    ⡁    ⡂    ⡃    ⡄    ⡅    ⡆    ⡇    ⡈    ⡉    ⡊    ⡋    ⡌    ⡍    ⡎    ⡏   
    285x |  ⡐    ⡑    ⡒    ⡓    ⡔    ⡕    ⡖    ⡗    ⡘    ⡙    ⡚    ⡛    ⡜    ⡝    ⡞    ⡟   
    286x |  ⡠    ⡡    ⡢    ⡣    ⡤    ⡥    ⡦    ⡧    ⡨    ⡩    ⡪    ⡫    ⡬    ⡭    ⡮    ⡯   
    287x |  ⡰    ⡱    ⡲    ⡳    ⡴    ⡵    ⡶    ⡷    ⡸    ⡹    ⡺    ⡻    ⡼    ⡽    ⡾    ⡿   
    288x |  ⢀    ⢁    ⢂    ⢃    ⢄    ⢅    ⢆    ⢇    ⢈    ⢉    ⢊    ⢋    ⢌    ⢍    ⢎    ⢏   
    289x |  ⢐    ⢑    ⢒    ⢓    ⢔    ⢕    ⢖    ⢗    ⢘    ⢙    ⢚    ⢛    ⢜    ⢝    ⢞    ⢟   
    28Ax |  ⢠    ⢡    ⢢    ⢣    ⢤    ⢥    ⢦    ⢧    ⢨    ⢩    ⢪    ⢫    ⢬    ⢭    ⢮    ⢯   
    28Bx |  ⢰    ⢱    ⢲    ⢳    ⢴    ⢵    ⢶    ⢷    ⢸    ⢹    ⢺    ⢻    ⢼    ⢽    ⢾    ⢿   
    28Cx |  ⣀    ⣁    ⣂    ⣃    ⣄    ⣅    ⣆    ⣇    ⣈    ⣉    ⣊    ⣋    ⣌    ⣍    ⣎    ⣏   
    28Dx |  ⣐    ⣑    ⣒    ⣓    ⣔    ⣕    ⣖    ⣗    ⣘    ⣙    ⣚    ⣛    ⣜    ⣝    ⣞    ⣟   
    28Ex |  ⣠    ⣡    ⣢    ⣣    ⣤    ⣥    ⣦    ⣧    ⣨    ⣩    ⣪    ⣫    ⣬    ⣭    ⣮    ⣯   
    28Fx |  ⣰    ⣱    ⣲    ⣳    ⣴    ⣵    ⣶    ⣷    ⣸    ⣹    ⣺    ⣻    ⣼    ⣽    ⣾    ⣿   


*/